<?php

namespace App\Exports;

use App\Models\User;
use Maatwebsite\Excel\Concerns\FromCollection;
use Maatwebsite\Excel\Concerns\WithHeadings;

class UsersExport implements FromCollection, WithHeadings
{

    public function collection()
    {
        return User::select('id', 'name', 'email', 'phone', 'fax', 'zip')->get();
    }

    public function headings(): array
    {
        // Define headers for the exported file
        return [
            'ID',
            'Name',
            'Email',
            'Phone',
            "Fax",
            'Zip'
        ];
    }
}
